> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/enumerations/access-control-action.md).

# AccessControlAction

The possible actions for an access control. This determines what the access control will do.

```graphql
enum AccessControlAction {
  Filter
  FilterRule
  Grant
  Group
  Mask
}
```

### Values

#### Filter <a href="#filter" id="filter"></a>

For filtering rows in a table or view.

#### FilterRule <a href="#filter-rule" id="filter-rule"></a>

#### Grant <a href="#grant" id="grant"></a>

For granting users access to data.

#### Group <a href="#group" id="group"></a>

For grouping users or other groups. The access control doesn't have WHAT items in this case.

#### Mask <a href="#mask" id="mask"></a>

For masking data in columns.

### Member Of

[`AccessControl`](/api/graphql/data-access/object-types/access-control.md) object ● `AccessControlAuditLog` object ● `AccessControlConfig` object ● `AccessControlConfigInput` input ● [`AccessControlFilterInput`](/api/graphql/data-access/input-types/access-control-filter-input.md) input ● [`AccessControlForDataObjectFilterInput`](/api/graphql/data-access/input-types/access-control-for-data-object-filter-input.md) input ● [`AccessControlForUserFilterInput`](/api/graphql/data-access/input-types/access-control-for-user-filter-input.md) input ● `AccessControlImport` input ● [`AccessControlInput`](/api/graphql/data-access/input-types/access-control-input.md) input ● `AccessControlRevision` object ● [`AccessControlWhatAccessControlFilterInput`](/api/graphql/data-access/input-types/access-control-what-access-control-filter-input.md) input ● [`AccessControlWhoListFilter`](/api/graphql/data-access/input-types/access-control-who-list-filter.md) input ● [`AccessFilterInput`](/api/graphql/data-access/input-types/access-filter-input.md) input ● [`AccessRequestAccessControlListFilterInput`](/api/graphql/data-access/input-types/access-request-access-control-list-filter-input.md) input ● [`AssetTypeLinkConfiguration`](/api/graphql/data-access/object-types/asset-type-link-configuration.md) object ● `AssetTypeLinkConfigurationInput` input ● `AssetTypeLinkConfigurationUpdateInput` input ● `AttestationFilterInput` input ● `CanLinkFilter` input ● `ExportAccessControl` object ● `LockOnCreate` object ● `LockOnCreateInput` input ● [`OverlappingAccessControlFilter`](/api/graphql/data-access/input-types/overlapping-access-control-filter.md) input ● `ReviewScheduleAccessControlTypes` object ● `ReviewScheduleTypeInput` input ● [`SearchFilterInput`](/api/graphql/data-access/input-types/search-filter-input.md) input


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/enumerations/access-control-action.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
